import request from '@/utils/request'

// 查询聊天记录列表
export function listUserChatRecord(query) {
  return request({
    url: '/cai/userChatRecord/list',
    method: 'get',
    params: query
  })
}

// 查询聊天记录详细
export function getUserChatRecord(id) {
  return request({
    url: '/cai/userChatRecord/' + id,
    method: 'get'
  })
}

// 新增聊天记录
export function addUserChatRecord(data) {
  return request({
    url: '/cai/userChatRecord',
    method: 'post',
    data: data
  })
}

// 修改聊天记录
export function updateUserChatRecord(data) {
  return request({
    url: '/cai/userChatRecord',
    method: 'put',
    data: data
  })
}

// 删除聊天记录
export function delUserChatRecord(id) {
  return request({
    url: '/cai/userChatRecord/' + id,
    method: 'delete'
  })
}
